# $Revision: 1.18 $, $Date: 2009/06/18 08:11:44 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	xDBM_File
Summary:	Crypt::xDBM_File Perl module - encrypt almost any kind of dbm file
Summary(pl.UTF-8):	Moduł Perla Crypt::xDBM_File - szyfrowanie prawie wszystkich rodzajów plików dbm
Name:		perl-Crypt-xDBM_File
Version:	1.02
Release:	1
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	21faa44ad66396b674ee8726abdf8b44
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Crypt-Blowfish
BuildRequires:	perl-Crypt-DES
BuildRequires:	perl-Crypt-IDEA
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::xDBM_File encrypts/decrypts the data in a gdbm, ndbm, sdbm (and
maybe even BerkeleyDB, but it wasn't tested by the author) file. It
gets tied to a hash and you just access the hash like normal. The
crypt function can be any of the CPAN modules that use encrypt,
decrypt, keysize, blocksize (so Crypt::IDEA, Crypt::DES,
Crypt::Blowfish... should all work).

%description -l pl.UTF-8
Moduł Crypt::xDBM_File szyfruje i deszyfruje dane w plikach gdbm,
ndbm, sdbm (być może także BerkeleyDB, ale nie było to testowane przez
autora). Moduł przywiązuje się do hasza, do którego można potem
odwoływać się w normalny sposób. Funkcją szyfrująca może być dowolny z
modułów CPAN używający funkcji encrypt, decrypt, keysize, blocksize
(czyli moduły Crypt::IDEA, Crypt::DES, Crypt::Blowfish... powinny
wszystkie działać).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Crypt/xDBM_File.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-xDBM_File.spec,v $
Revision 1.18  2009/06/18 08:11:44  amateja
- updated to 1.02

Revision 1.17  2008/07/27 22:51:15  arekm
- release 3

Revision 1.16  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 22:30:14  paladine
- formatting

Revision 1.13  2004/08/26 21:38:17  radek
- release 2

Revision 1.12  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/06 18:09:27  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.9  2004/03/06 22:35:12  adamg
- updated to 1.01
- removed -DES.patch

Revision 1.8  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:46:57  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:38:29  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:30:14  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/02 20:06:35  qboosh
- new

